What you can do with the Memory Stick setting

Introducing Memory Stick media

When you insert a Memory Stick media into your computer or connect the USB device which has the Memory Stick media slot such as a digital still camera or a Portable Memory Stick Player, you can start a specific application or document.

  • If your computer has a PC card slot, and you have an optional PC card adapter for your Memory Stick media, you can start a specific application or document when you insert the Memory Stick into the PC card slot by using the adapter.
  • If your computer has both the Memory Stick media slot and the PC card slot, you can specify the different application or document depending on the insertion slot into which you insert the Memory Stick.

Notes

You cannot start the specified software or document automatically by inserting Memory Stick, while using the OpenMG Jukebox software.


Application List

Assigning Memory Stick media applications

To assign an application or document to a Memory Stick media:

  1. Click the Memory Stick button in the VAIO Action Setup window.
  2. Click the Application List tab.
  3. Click the button for the Memory Stick media you want to define.
    • button (If your computer has a Memory Stick media slot)
      You can specify the application or document which start automatically when you insert Memory Stick media into the Memory Stick media slot on your computer.
      You can also specify the different application or document you specified by using [image] button.
    • button
      You can specify the application or document which start automatically when you insert the Memory Stick media into your computer by using the optional PC card adapter for your Memory Stick media or connect the USB device which has the Memory Stick media slot
  4. Follow the Select Application wizard instructions.
  5. Click Finish to activate your new settings.

The application icon, setting name, and information appear on the screen.


Advanced Setting

Changing advanced Memory Stick media settings

To change advanced Memory Stick media settings:

  1. Click the Memory Stick button in the VAIO Action Setup window.
  2. Click the Advanced Setting tab.
  3. Modify any of the following settings:
    • To enable the Memory Stick slot, check Enable Memory Stick launcher function.
      If your computer has a build-in Memory Stick slot, "Memory Stick Slot" and "Other Memory Stick Drive" options appear. Check the slot option which you want to use the memory stick launcher function.
    • To disable the Memory Stick slot, uncheck Enable Memory Stick launcher function.
    • To define how long the startup message displays before the Memory Stick media starts the specified application, enter the number of seconds you want the message displays in the Length of time to display a message before launching field.
  4. Click Apply to accept your changes.

Note

Closing the VAIO Action Setup window before clicking Apply, cancels your changes.


Specifying the desired software

Using the Select Application wizard

You can use the Select Application wizard to specify which application or document your computer starts automatically. This process is also referred to as "registering" the application or document.

To use the Select Application wizard:

  1. Click a task (such as Recommended Setting or E-Mail) on the left side of the screen, or click Drag & Drop to drag and drop a document from the Windows desktop.
  2. Click the desired application or document in the tree display on the right side of the screen, or if you selected Drag & Drop in step 1, drag the desired document and release the button.
  3. Click Next.

    Notes
    If you selected E-Mail or WWW browser in step 1, select the Preset Script settings and click Next.

    • To specify a dialup network, check Dial-up connection and then select a connection from the list.
    • If you want your computer to go into an energy-saving mode after the preset script runs, check Set status after processing, and then select the energy mode.
    • If your computer has an information indicator, select a lamp status setting to indicate that a Preset Script has finished running, and then click Next.
  4. Select optional startup options, and then click Next.
    • To specify the working directory for the application, specify the desired folder.
    • To specify a command line option, enter it in the Command line option field.
  5. If you want your computer to go into an energy-saving mode after a Preset Script runs, check Set a power status for the computer to enter after Timer execution, select the mode, and then click Next.
  6. On the Application List tab, enter a name for your setup and any other relevant information.
  7. Click Finish to close the wizard close and register the application or document.

    Note
    You can confirm registration of the application or document on the Application List tab.